Subject: RE: [mobile-ip] WG Feedback Requested

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 19 Dec 2001 20:17:19 +0100

> Karim and I discussed this before the MIP meeting and
  > he agreed that Prereg has this problem, but so does
  > standard MIPv4. Are you saying that Karim is wrong
  > here?

=> No I'm saying you are. Karim DISagreed with
this, I don't know how you got that impression
though.

  > 
  > Also, I would like you to specifically answer this question,
  > without any prevarication or attempt to divert the
  > debate in another direction:
  > 
  >         Do you disagree with the theoretical data presented
  >         to the list last summer, and the experimental data
  >         presented at the SLC meeting, that Prereg will
  >         have worse performance than standard MIPv4
  >         handover if the MN moves too fast for the
  >         Prereg signaling to complete while the MN
  >         is still on the old FA?

=> Sigh .....
James, IF you make certain assumptions on your link
layer capabilities(e.g. separating signalling
from payload bearers ...etc), then I agree, 
you would see that PREREG is not optimal. HOWEVER, 
these assumptions need not be made and I don't
know how many times we've discussed this and I said
the sentence above. 

So if you have this inflexible link layer, 
then use POST REG, this is the whole rationale
of the draft.

  > 
  > *That* is the issue, not the implementation. If you think
  > we implemented it wrong, then implement it yourself
  > and prove it!
  > 
=> Obviously you're not reading my messages. 
If I tell I've implemented IPv6 with 64 bit addresses, 
will you believe me ? Well if you think you have
to implement to prove me wrong then ...... well
it's strange to think that. 

So can you PLEASE answer my question on section 4.1.1 ?
otherwise there is no point in this discussion.

Hesham

  > 
  > If Raj, Phil, and Thomas don't want to make the hard call
  > and separate out Prereg, then let's take the whole thing
  > to experimental. 
  > 
=> Again, if that¨s what the WG wants we have to
go with it. BUT for the right reasons.

Hesham

---

From: "James Kempf" <[email-masked]>
Date: Wed, 19 Dec 2001 12:11:14 -0800

Hesham,

> this, I don't know how you got that impression

Because he told me that both standard MIPv4
and Prereg have this problem. And if you
look at the spec, you will see this is so.

Karim...are you there? Did we not have
this conversation in SLC?

> layer capabilities(e.g. separating signalling

You mean having the same signaling and bearer...

> know how many times we've discussed this and I said

But the point is that Postreg does not have these
problems regardless of *what* assumptions you
make about the radio link. And neither does
PFANE.

> then use POST REG, this is the whole rationale

Then what is the point of even having Prereg? 
PFANE and Postreg both cover the space
of what the MN and network need, and
what Layer 2 triggers might be provided.

> otherwise there is no point in this discussion.

As I've said, you have misrepresented the discussion
between Jon and Karim on the mailing list. Jon implemented
our version of low latency in accordance with RFC 2002
and draft-ietf-mobileip-lowlatency-handoffs.txt. 

Now YOU answer MY question:

        Given that you admit that certain combinations of
        radio link parameters will result in suboptimal
        preformance for Prereg, and that both Postreg
        and PFANE don't have this problem, what is
        the point of keeping Prereg in the spec?

            jak